PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PSortedList< T >::iterator Class Reference

`#include <lists.h>`

Inherits PSortedList< T >::iterator_base.

## Public Member Functions
| iterator ()
| iterator (PSortedList< T > *l, PSortedListElement *e)
iterator | operator++ ()
iterator | operator-- ()
iterator | operator++ (int)
iterator | operator-- (int)
value_type * | operator-> () const
value_type & | operator* () const
Public Member Functions inherited from PSortedList< T >::iterator_base
bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Additional Inherited Members
Protected Member Functions inherited from PSortedList< T >::iterator_base
| iterator_base (PSortedList< T > *l, PSortedListElement *e)
bool | Valid () const
void | Next ()
void | Prev ()
value_type * | Ptr () const
Protected Attributes inherited from PSortedList< T >::iterator_base
PSortedList< T > * | m_list
PSortedListElement * | m_element

## Constructor & Destructor Documentation

template<class T>

PSortedList< T >::iterator::iterator | ( |  | ) |
| inline

template<class T>

PSortedList< T >::iterator::iterator | ( | PSortedList< T > * | l,
|  | PSortedListElement * | e
| ) |  |
| inline

## Member Function Documentation

template<class T>

value_type& PSortedList< T >::iterator::operator* | ( |  | ) | const
| inline

template<class T>

iterator PSortedList< T >::iterator::operator++ | ( |  | ) |
| inline

template<class T>

iterator PSortedList< T >::iterator::operator++ | ( | int |  | ) |
| inline

template<class T>

iterator PSortedList< T >::iterator::operator-- | ( |  | ) |
| inline

template<class T>

iterator PSortedList< T >::iterator::operator-- | ( | int |  | ) |
| inline

template<class T>

value_type* PSortedList< T >::iterator::operator-> | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- lists.h